Package ru.bitel.bgbilling.kernel.event.publish.common.bean

# Class MQEvent

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.event.publish.common.bean.MQEvent

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class MQEvent
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `KEY_DELIVERY_MODE` |
  `static java.lang.String` | `KEY_DESTINATION` |
  `static java.lang.String` | `KEY_EVENT` |
  `static java.lang.String` | `KEY_MQ_SERVER` |
  `static java.lang.String` | `KEY_PRIORITY` |
  `static java.lang.String` | `KEY_TIME_TO_LIVE` |
  `static java.lang.String` | `KEY_TITLE` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MQEvent()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getDeliveryMode()` |
  `MQDestination` | `getDestination()` |
  `java.lang.String` | `getEvent()` |
  `static java.lang.String` | `getKeyTitle()` |
  `int` | `getMqServer()` |
  `int` | `getPriority()` |
  `long` | `getTimeToLive()` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setDeliveryMode​(int deliveryMode)` |
  `void` | `setDestination​(MQDestination destination)` |
  `void` | `setEvent​(java.lang.String event)` |
  `void` | `setMqServer​(int mqServer)` |
  `void` | `setPriority​(int priority)` |
  `void` | `setTimeToLive​(long timeToLive)` |
  `org.json.JSONObject` | `toJson()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### KEY_TITLE

    public static final java.lang.String KEY_TITLE
    See Also:
      Constant Field Values

  - ### KEY_EVENT

    public static final java.lang.String KEY_EVENT
    See Also:
      Constant Field Values

  - ### KEY_MQ_SERVER

    public static final java.lang.String KEY_MQ_SERVER
    See Also:
      Constant Field Values

  - ### KEY_DESTINATION

    public static final java.lang.String KEY_DESTINATION
    See Also:
      Constant Field Values

  - ### KEY_DELIVERY_MODE

    public static final java.lang.String KEY_DELIVERY_MODE
    See Also:
      Constant Field Values

  - ### KEY_PRIORITY

    public static final java.lang.String KEY_PRIORITY
    See Also:
      Constant Field Values

  - ### KEY_TIME_TO_LIVE

    public static final java.lang.String KEY_TIME_TO_LIVE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### MQEvent

    public MQEvent()

- ## Method Details

  - ### getEvent

    public java.lang.String getEvent()

  - ### setEvent

    public void setEvent​(java.lang.String event)

  - ### getMqServer

    public int getMqServer()

  - ### setMqServer

    public void setMqServer​(int mqServer)

  - ### getDestination

    public MQDestination getDestination()

  - ### setDestination

    public void setDestination​(MQDestination destination)

  - ### getDeliveryMode

    public int getDeliveryMode()

  - ### setDeliveryMode

    public void setDeliveryMode​(int deliveryMode)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority​(int priority)

  - ### getKeyTitle

    public static java.lang.String getKeyTitle()

  - ### getTimeToLive

    public long getTimeToLive()

  - ### setTimeToLive

    public void setTimeToLive​(long timeToLive)

  - ### setData

    public void setData​(java.lang.String data)

  - ### toJson

    public org.json.JSONObject toJson()